package com.pj.project.sys_user_acc;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.pj.utils.so.SoMap;

/**
 * Mapper: sys_user -- 用户表
 * @author why 
 */
@Mapper
public interface SysUserAccMapper {

    // 添加一个 
    int save(SoMap SoMap);
    
    // 根据ID查询用户
    public SysUserAcc getById(long id);

    // 根据昵称查找用户
    public SysUserAcc getByUsername(String username);

    // 根据手机号查找用户
    public SysUserAcc getByPhone(String phone);
    
    // 根据微信email查找用户 
    public SysUserAcc getByEmail(String email);
    
    // 指定id的账号成功登录一次
    public int successLogin(@Param("id")long id, @Param("login_ip")String login_ip);

}
